Subject: bug#8343: closed (Re: bug#13588: Pax hangs in case big UID)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Apr 2013 13:21:04 +0000

Your bug report

#13588: ustar archive tests are incorrect with overly large UID/GID

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13588: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13588
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13588: Pax hangs in case big UID
From: Stefano Lattarini <[email-masked]>
To: Pavel Raiskup <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 30 Apr 2013 15:20:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 04/29/2013 12:18 PM, Stefano Lattarini wrote:
> On 04/29/2013 08:11 AM, Pavel Raiskup wrote:
>> Hi!
>>
>>> I have re-introduced the line removed by mistake.
>>
>> It seems to be completely OK now,
>>
> Thanks, I will push shortly then, barring further objections.
> 
>> thanks a LOT for your patience.
>>
> I think you and the other reviewers should be thanked for
> *your* patience here ;-)
> 
>> I don't see any problems and also all test passes for me.
>>
>> Have a nice day,
>> Pavel
>>
> 
> Regards,
>   Stefano
>
Patch merged, at last!  I'm finally closing this bug report.

Thanks to all the involved people for their help and patience,
  Stefano

Subject: ustar archive tests are incorrect with overly large UID/GID
From: Tom Rini <[email-masked]>
To: <[email-masked]>
Date: Fri, 25 Mar 2011 09:56:58 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

When the user has a UID or GID that is larger than the ustar format 
supports, pax does not error out gracefully in some cases (FC13).  In 
this case cpio does.

-- 
Tom Rini
Mentor Graphics Corporation